public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Ole Reifschneider" <tranquility@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/gnome:master commit in: dev-libs/atk/
Date: Sat, 18 Apr 2015 09:00:04 +0000 (UTC)	[thread overview]
Message-ID: <1429346963.1d74d14320fa98334f05a5ffc9a69407f2b9185d.tranquility@gentoo> (raw)

commit:     1d74d14320fa98334f05a5ffc9a69407f2b9185d
Author:     Ole Reifschneider <tranquility <AT> gentoo <DOT> org>
AuthorDate: Thu Apr 16 18:59:22 2015 +0000
Commit:     Ole Reifschneider <tranquility <AT> gentoo <DOT> org>
CommitDate: Sat Apr 18 08:49:23 2015 +0000
URL:        https://gitweb.gentoo.org/proj/gnome.git/commit/?id=1d74d143

Add dev-libs/atk-2.16.0

Package-Manager: portage-2.2.14
Manifest-Sign-Key: 7E8B4D42

 dev-libs/atk/atk-2.16.0.ebuild | 56 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 56 insertions(+)

diff --git a/dev-libs/atk/atk-2.16.0.ebuild b/dev-libs/atk/atk-2.16.0.ebuild
new file mode 100644
index 0000000..c7c225e
--- /dev/null
+++ b/dev-libs/atk/atk-2.16.0.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-libs/atk/atk-2.14.0.ebuild,v 1.7 2015/03/29 10:29:55 jer Exp $
+
+EAPI="5"
+GCONF_DEBUG="no"
+
+inherit gnome2 multilib-minimal
+
+DESCRIPTION="GTK+ & GNOME Accessibility Toolkit"
+HOMEPAGE="http://projects.gnome.org/accessibility/"
+
+LICENSE="LGPL-2+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris ~x86-winnt"
+IUSE="+introspection nls test"
+
+RDEPEND="
+	>=dev-libs/glib-2.34.3:2[${MULTILIB_USEDEP}]
+	introspection? ( >=dev-libs/gobject-introspection-0.6.7 )
+	abi_x86_32? (
+		!<=app-emulation/emul-linux-x86-gtklibs-20140508
+		!app-emulation/emul-linux-x86-gtklibs[-abi_x86_32(-)]
+	)
+"
+DEPEND="${RDEPEND}
+	>=dev-lang/perl-5
+	dev-util/gtk-doc-am
+	>=virtual/pkgconfig-0-r1[${MULTILIB_USEDEP}]
+	nls? ( sys-devel/gettext )
+"
+
+src_prepare() {
+	gnome2_src_prepare
+
+	if ! use test; then
+		# don't waste time building tests (bug #226353)
+		sed 's/^\(SUBDIRS =.*\)tests\(.*\)$/\1\2/' -i Makefile.am Makefile.in \
+			|| die "sed failed"
+	fi
+}
+
+multilib_src_configure() {
+	ECONF_SOURCE=${S} \
+	gnome2_src_configure \
+		$(multilib_native_use_enable introspection)
+
+	# work-around gtk-doc out-of-source brokedness
+	if multilib_is_native_abi; then
+		ln -s "${S}"/docs/html docs/html || die
+	fi
+}
+
+multilib_src_install() {
+	gnome2_src_install
+}


             reply	other threads:[~2015-04-18  9:00 UTC|newest]

Thread overview: 19+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-04-18  9:00 Ole Reifschneider [this message]
  -- strict thread matches above, loose matches on Subject: below --
2019-02-23 20:37 [gentoo-commits] proj/gnome:master commit in: dev-libs/atk/ Mart Raudsepp
2018-09-13  7:38 Mart Raudsepp
2018-05-29 22:07 Sobhan Mohammadpour
2018-01-29 12:12 Sobhan Mohammadpour
2015-06-09  9:16 Gilles Dartiguelongue
2014-12-22 23:50 Gilles Dartiguelongue
2014-10-11 16:43 Gilles Dartiguelongue
2014-04-20 13:46 Gilles Dartiguelongue
2014-04-20 13:46 Gilles Dartiguelongue
2013-11-24 21:38 Gilles Dartiguelongue
2013-03-08 14:39 Priit Laes
2012-09-25 15:46 Alexandre Rostovtsev
2012-09-05 15:48 Nirbheek Chauhan
2012-09-02 18:59 Nirbheek Chauhan
2011-06-24 17:35 Alexandre Restovtsev
2011-04-05  7:33 Nirbheek Chauhan
2011-03-23 22:24 Nirbheek Chauhan
2011-02-09 20:13 Nirbheek Chauhan

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1429346963.1d74d14320fa98334f05a5ffc9a69407f2b9185d.tranquility@gentoo \
    --to=tranquility@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox